🚀 go-pugleaf

RetroBBS NetNews Server

Inspired by RockSolid Light RIP Retro Guy

Article View: ch.comp.os.linux
Article #22162

Re: thomas h�rtling

#22162
From: Andreas Eggenschwiler
Date: Sun, 30 May 1999 00:00
31 lines
1627 bytes
Sven Kirmess <Sven.Kirmess@gmx.net> writes:

> In den Headern von News/Mail sind h�ufig folgendermassen kodierte From
> Felder zu sehen:
> 
> thomas =?iso-8859-1?q?h=e4rtling?=
> 
> Wie kann ich das Aufschl�sseln? Find ich das in einem RFC? Hat jemand
> einen Link?

RFC 2047:

> 1. Introduction
>
>   RFC 2045 describes a mechanism for denoting textual body parts which
>   are coded in various character sets, as well as methods for encoding
>   such body parts as sequences of printable US-ASCII characters.  This
>   memo describes similar techniques to allow the encoding of non-ASCII
>   text in various portions of a RFC 822 [2] message header, in a manner
>   which is unlikely to confuse existing message handling software.

Ich denke, man sollte nicht-US-ASCII-header vermeiden, ich kenne
keinen mail reader (kennt jemand einen?), der die wirklich schluckt,
insbesondere wenn du nicht ISO-latin1 verwendest. (Ich persoenlich
brauche nicht einmal nicht-ASCII im body. Das ist aber ein Tick von
mir und ich wuerde mir nicht anmassen, das von anderen Leuten zu
verlangen.)

-- 
Ciao
	Res
Technical Details
Message-ID: <pwd7ziq5gq.fsf@gaston.ethz.ch>
Path: arc1-ca.pugleaf.net!unknown!not-for-mail
References: <375060B0.A814961E@gmx.net>

Show Full Headers
Complete Article Headers
X-Google-Language: GERMAN,ASCII
X-Google-Thread: f4b73,5bc322933c325212
X-Google-Attributes: gidf4b73,public
From: Andreas Eggenschwiler <res@inorg.chem.ethz.ch>
Subject: Re: thomas h�rtling
Date: 1999/05/30
Message-ID: <pwd7ziq5gq.fsf@gaston.ethz.ch>
X-Deja-AN: 483685381
Sender: res@gaston.ethz.ch
References: <375060B0.A814961E@gmx.net>
X-Trace: 30 May 1999 10:22:47 +0100, gaston.ethz.ch
Organization: Swiss Federal Institute of Technology (ETHZ)
Newsgroups: ch.comp.os.linux